Bug 179182 - Null Pointer when building feature in update-site
Null Pointer when building feature in update-site
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 17:10 EST by Jeff Pound
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.1.1-1jpp_1fc.FC4.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 11:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (35.97 KB, text/plain)
2006-01-27 17:10 EST, Jeff Pound
no flags Details

  None (edit)
Description Jeff Pound 2006-01-27 17:10:32 EST
Created attachment 123806 [details]
log file
Comment 1 Jeff Pound 2006-01-27 17:10:32 EST
Description of problem:
A NullPointerException is thrown when eclipse tries to build a feature for an
update site.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.1-1jpp_1fc.FC4.12

How reproducible:
always

Steps to Reproduce:
1. check out org.eclipse.team.bugzilla.feature from sources.redhat.com
2. Create a "New update-site" project in eclipse.
3. Add the feature to the update site ("Add features...")
4. Click "Build All"
  
Actual results:
Many MalformedURL exceptions show up in the log and the feature isn't built.

Expected results:
The feature should be built without errors.

Additional info:
Works on upstream eclipse 3.1
see attached log file.
Comment 2 Andrew Overholt 2006-02-08 11:19:21 EST
This still happens with rawhide :( .  I don't get any errors from Eclipse,
though.  Also, there are 3 jars built (o.e.t.bugzilla.feature, o.e.t.bugs, and
o.e.t.bugzilla).  Ignoring the log errors, is this correct behaviour?
Comment 3 Jeff Pound 2006-02-10 18:09:24 EST
>Also, there are 3 jars built (o.e.t.bugzilla.feature, o.e.t.bugs, and
>o.e.t.bugzilla).  Ignoring the log errors, is this correct behaviour?

yes, the feature jar should package the plug-in jars IIRC.
Comment 4 Andrew Overholt 2006-02-13 11:40:24 EST
(In reply to comment #3)
> >Also, there are 3 jars built (o.e.t.bugzilla.feature, o.e.t.bugs, and
> >o.e.t.bugzilla).  Ignoring the log errors, is this correct behaviour?
> 
> yes, the feature jar should package the plug-in jars IIRC.

So there's still a bug?
Comment 5 Jeff Pound 2006-02-13 11:56:51 EST
Everything seems ok with eclipse-platform-3.1.1-1jpp_1fc.FC4.12 (no log errors
either)

Note You need to log in before you can comment on or make changes to this bug.